
CoCoALib - Bug #1208

 New function: Threadsafe RandomLinearForm (CoCoALib)

02 Aug 2018 16:58 - Anna Maria Bigatti

Status: New Start date: 02 Aug 2018

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Safety Estimated time: 10.00 hours

Target version: CoCoALib-1.0 Spent time: 0.00 hour

Description

We have RandomLinearForm, but it is not threadsafe.

Probably there should also be a version with interface: RandomLinearForm(P, RndSeq) where RndSeq is of type RandomSeqLong

(or perhaps RandomSeqBigInt).

Implementation is easy, but application is tricky (if you desired different random sequences).

So this issue is more delicate than it looks.

Related issues:

Related to CoCoALib - Feature #1169: New function: RandomLinearForm (CoCoALib) Closed 19 Mar 2018

Related to CoCoALib - Slug #1517: RandomLinearForm Closed 23 Oct 2020

History

#1 - 02 Aug 2018 16:59 - Anna Maria Bigatti

- Related to Feature #1169: New function: RandomLinearForm (CoCoALib) added

#2 - 01 Oct 2019 11:28 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-1.0

#3 - 23 Oct 2020 16:21 - John Abbott

- Related to Slug #1517: RandomLinearForm added
